# OL3-ext: canvas controls

Canvas controls are controls drawn on the map canvas so they can be exported to JPEG / PNG images.

- ol.control.CanvasScaleLine is an ol.control.scaleLine that is drawn on the canevas.
- ol.control.CanvasAttribution is an ol.control.attribution that is drawn on the canevas. The setCanvas function toggles beetween standard/canvas attribution
- ol.control.CanvasTitle draw a title on the map. Use the style option to style the title.
- jqExportMap is a jQuery plugin used to export the map as an image (PNG/JPEG) or as a PDF file (use MrRio/jsPDF lib).

## Options:

- Title of the map :
- Font:
- italic bold
- Color:

- Draw attribution on canvas

Export JPEG Export PNG Export PDF